diff --git a/gcc/testsuite/gcc.target/bpf/helper-msg-apply-bytes.c b/gcc/testsuite/gcc.target/bpf/helper-msg-apply-bytes.c
index 3b831acad64..9c8ef9d0c88 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-msg-apply-bytes.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-msg-apply-bytes.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *msg;
   uint32_t bytes;
   
-  ret = __builtin_bpf_helper_msg_apply_bytes (msg, bytes);
+  ret = bpf_msg_apply_bytes (msg, bytes);
 }
 
 /* { dg-final { scan-assembler "call\t61" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-msg-cork-bytes.c b/gcc/testsuite/gcc.target/bpf/helper-msg-cork-bytes.c
index 2c4ee218832..988a04dfb15 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-msg-cork-bytes.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-msg-cork-bytes.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *msg;
   uint32_t bytes;
   
-  ret = __builtin_bpf_helper_msg_cork_bytes (msg, bytes);
+  ret = bpf_msg_cork_bytes (msg, bytes);
 }
 
 /* { dg-final { scan-assembler "call\t62" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-msg-pop-data.c b/gcc/testsuite/gcc.target/bpf/helper-msg-pop-data.c
index 377c036603e..567904433f9 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-msg-pop-data.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-msg-pop-data.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   uint32_t start, pop;
   uint64_t flags;
 
-  ret = __builtin_bpf_helper_msg_pop_data (skb, start, pop, flags);
+  ret = bpf_msg_pop_data (skb, start, pop, flags);
 }
 
 /* { dg-final { scan-assembler "call\t91" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-msg-pull-data.c b/gcc/testsuite/gcc.target/bpf/helper-msg-pull-data.c
index ef27493122b..77141019a9a 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-msg-pull-data.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-msg-pull-data.c
@@ -1,16 +1,17 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
 {
   int ret;
   void *msg;
-  uint32_t start, end;
-  uint64_t flags;
+  int len;
   
-  ret = __builtin_bpf_helper_msg_pull_data (msg, start, end, flags);
+  ret = bpf_msg_pull_data (msg, len);
 }
 
 /* { dg-final { scan-assembler "call\t63" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-msg-push-data.c b/gcc/testsuite/gcc.target/bpf/helper-msg-push-data.c
index 9e256bc5ca7..40b936162fc 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-msg-push-data.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-msg-push-data.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   uint32_t start, len;
   uint64_t flags;
 
-  ret = __builtin_bpf_helper_msg_push_data (skb, start, len, flags);
+  ret = bpf_msg_push_data (skb, start, len, flags);
 }
 
 /* { dg-final { scan-assembler "call\t90" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-msg-redirect-hash.c b/gcc/testsuite/gcc.target/bpf/helper-msg-redirect-hash.c
index 2e9d4137d66..6ac680cc098 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-msg-redirect-hash.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-msg-redirect-hash.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *msg, *map, *key;
   uint64_t flags;
 
-  ret = __builtin_bpf_helper_msg_redirect_hash (msg, map, key,
+  ret = bpf_msg_redirect_hash (msg, map, key,
 						flags);
 }
 
diff --git a/gcc/testsuite/gcc.target/bpf/helper-msg-redirect-map.c b/gcc/testsuite/gcc.target/bpf/helper-msg-redirect-map.c
index f5f8405e324..ef69f111183 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-msg-redirect-map.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-msg-redirect-map.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   uint64_t key;
   uint64_t flags;
   
-  ret = __builtin_bpf_helper_msg_redirect_map (msg, map, key,
+  ret = bpf_msg_redirect_map (msg, map, key,
 					       flags);
 }
 
diff --git a/gcc/testsuite/gcc.target/bpf/helper-override-return.c b/gcc/testsuite/gcc.target/bpf/helper-override-return.c
index 3bd5424353f..380fd59567d 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-override-return.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-override-return.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *regs;
   uint64_t rc;
   
-  ret = __builtin_bpf_helper_override_return (regs, rc);
+  ret = bpf_override_return (regs, rc);
 }
 
 /* { dg-final { scan-assembler "call\t58" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-perf-event-output.c b/gcc/testsuite/gcc.target/bpf/helper-perf-event-output.c
index afb32010bdd..24ed565097e 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-perf-event-output.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-perf-event-output.c
@@ -1,6 +1,7 @@
 /* { dg-do compile } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -11,7 +12,7 @@ foo ()
   void *data;
   uint64_t size;
 
-  ret = __builtin_bpf_helper_perf_event_output (ctx, map, flags, data, size);
+  ret = bpf_perf_event_output (ctx, map, flags, data, size);
 }
 
 /* { dg-final { scan-assembler "call\t25" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-perf-event-read-value.c b/gcc/testsuite/gcc.target/bpf/helper-perf-event-read-value.c
index 1d512c9ec65..6692f649437 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-perf-event-read-value.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-perf-event-read-value.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   uint64_t flags;
   uint64_t buf_size;
   
-  ret = __builtin_bpf_helper_perf_event_read_value (map, flags, buf, buf_size);
+  ret = bpf_perf_event_read_value (map, flags, buf, buf_size);
 }
 
 /* { dg-final { scan-assembler "call\t55" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-perf-event-read.c b/gcc/testsuite/gcc.target/bpf/helper-perf-event-read.c
index f099a09d66f..674058daa8d 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-perf-event-read.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-perf-event-read.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *map;
   uint64_t flags;
 
-  ret = __builtin_bpf_helper_perf_event_read (map, flags);
+  ret = bpf_perf_event_read (map, flags);
 }
 
 /* { dg-final { scan-assembler "call\t22" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-perf-prog-read-value.c b/gcc/testsuite/gcc.target/bpf/helper-perf-prog-read-value.c
index 00c4a3a78b5..7f0a8011ed2 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-perf-prog-read-value.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-perf-prog-read-value.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *ctx, *buf;
   uint64_t buf_size;
   
-  ret = __builtin_bpf_helper_perf_prog_read_value (ctx, buf, buf_size);
+  ret = bpf_perf_prog_read_value (ctx, buf, buf_size);
 }
 
 /* { dg-final { scan-assembler "call\t56" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-probe-read-str.c b/gcc/testsuite/gcc.target/bpf/helper-probe-read-str.c
index fd04760221d..0774da42ad3 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-probe-read-str.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-probe-read-str.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   void *dst;
   const void *unsafe_ptr;
   
-  ret = __builtin_bpf_helper_probe_read_str (dst, size, unsafe_ptr);
+  ret = bpf_probe_read_str (dst, size, unsafe_ptr);
 }
 
 /* { dg-final { scan-assembler "call\t45" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-probe-read.c b/gcc/testsuite/gcc.target/bpf/helper-probe-read.c
index a77a907767b..64261c56f92 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-probe-read.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-probe-read.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *src, *dst;
   uint32_t size;
 
-  ret = __builtin_bpf_helper_probe_read (dst, size, src);
+  ret = bpf_probe_read (dst, size, src);
 }
 
 /* { dg-final { scan-assembler "call\t4" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-probe-write-user.c b/gcc/testsuite/gcc.target/bpf/helper-probe-write-user.c
index bf226206769..127ae61c8a4 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-probe-write-user.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-probe-write-user.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *dst, *src;
   uint32_t len;
 
-  ret = __builtin_bpf_helper_probe_write_user (dst, src, len);
+  ret = bpf_probe_write_user (dst, src, len);
 }
 
 /* { dg-final { scan-assembler "call\t36" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-rc-keydown.c b/gcc/testsuite/gcc.target/bpf/helper-rc-keydown.c
index 58e9395dbeb..c419ee06c5c 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-rc-keydown.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-rc-keydown.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   uint32_t protocol, toggle;
   uint64_t scancode;
   
-  ret = __builtin_bpf_helper_rc_keydown (ctx, protocol,
+  ret = bpf_rc_keydown (ctx, protocol,
 					 scancode, toggle);
 }
 
diff --git a/gcc/testsuite/gcc.target/bpf/helper-rc-pointer-rel.c b/gcc/testsuite/gcc.target/bpf/helper-rc-pointer-rel.c
index e776bc75963..ca0a5c4ac75 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-rc-pointer-rel.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-rc-pointer-rel.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *ctx;
   int32_t rel_x, rel_y;
 
-  ret = __builtin_bpf_helper_rc_pointer_rel (ctx, rel_x, rel_y);
+  ret = bpf_rc_pointer_rel (ctx, rel_x, rel_y);
 }
 
 /* { dg-final { scan-assembler "call\t92" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-rc-repeat.c b/gcc/testsuite/gcc.target/bpf/helper-rc-repeat.c
index 0ebc7de5bdf..52d83e4a980 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-rc-repeat.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-rc-repeat.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -8,7 +10,7 @@ foo ()
   int ret;
   void *ctx;
   
-  ret = __builtin_bpf_helper_rc_repeat (ctx);
+  ret = bpf_rc_repeat (ctx);
 }
 
 /* { dg-final { scan-assembler "call\t77" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-redirect-map.c b/gcc/testsuite/gcc.target/bpf/helper-redirect-map.c
index daeecc2a01e..0d059778781 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-redirect-map.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-redirect-map.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   uint32_t key;
   uint64_t flags;
   
-  ret = __builtin_bpf_helper_redirect_map (map, key, flags);
+  ret = bpf_redirect_map (map, key, flags);
 }
 
 /* { dg-final { scan-assembler "call\t51" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-set-hash-invalid.c b/gcc/testsuite/gcc.target/bpf/helper-set-hash-invalid.c
index 4bc63ffa063..adbc41bce19 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-set-hash-invalid.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-set-hash-invalid.c
@@ -1,13 +1,15 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
 {
   void *skb;
 
-  __builtin_bpf_helper_set_hash_invalid (skb);
+  bpf_set_hash_invalid (skb);
 }
 
 /* { dg-final { scan-assembler "call\t41" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-set-hash.c b/gcc/testsuite/gcc.target/bpf/helper-set-hash.c
index d01ae6eb268..a36cd6b56ec 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-set-hash.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-set-hash.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *skb;
   uint32_t hash;
   
-  ret = __builtin_bpf_helper_set_hash (skb, hash);
+  ret = bpf_set_hash (skb, hash);
 }
 
 /* { dg-final { scan-assembler "call\t48" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-setsockopt.c b/gcc/testsuite/gcc.target/bpf/helper-setsockopt.c
index 6f3b450639e..f79c2a86783 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-setsockopt.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-setsockopt.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -12,8 +14,7 @@ foo ()
   void *optval;
   int optlen;
   
-  ret = __builtin_bpf_helper_setsockopt (bpf_socket, level, optname,
-					 optval, optlen);
+  ret = bpf_setsockopt (bpf_socket, level, optname, optval, optlen);
 }
 
 /* { dg-final { scan-assembler "call\t49" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sk-fullsock.c b/gcc/testsuite/gcc.target/bpf/helper-sk-fullsock.c
index abe813d94f6..9e66e94f57f 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sk-fullsock.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sk-fullsock.c
@@ -1,13 +1,15 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
 {
   void *ret, *sk;
 
-  ret = __builtin_bpf_helper_sk_fullsock (sk);
+  ret = bpf_sk_fullsock (sk);
 }
 
 /* { dg-final { scan-assembler "call\t95" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sk-lookup-tcp.c b/gcc/testsuite/gcc.target/bpf/helper-sk-lookup-tcp.c
index 4408640a6b2..1adcc692068 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sk-lookup-tcp.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sk-lookup-tcp.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,10 +12,10 @@ foo ()
   uint32_t tuple_size;
   uint64_t netns, flags;
   
-  ret = __builtin_bpf_helper_sk_lookup_tcp (ctx,
-					    tuple,
-					    tuple_size,
-					    netns, flags);
+  ret = bpf_sk_lookup_tcp (ctx,
+			   tuple,
+			   tuple_size,
+			   netns, flags);
 }
 
 /* { dg-final { scan-assembler "call\t84" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sk-lookup-upd.c b/gcc/testsuite/gcc.target/bpf/helper-sk-lookup-upd.c
index 4c50f9c6327..8bbd40bf387 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sk-lookup-upd.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sk-lookup-upd.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   uint32_t tuple_size;
   uint64_t netns, flags;
   
-  ret = __builtin_bpf_helper_sk_lookup_udp (ctx,
+  ret = bpf_sk_lookup_udp (ctx,
 					    tuple,
 					    tuple_size,
 					    netns, flags);
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sk-redirect-hash.c b/gcc/testsuite/gcc.target/bpf/helper-sk-redirect-hash.c
index 7047c9f1290..f449b5b8254 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sk-redirect-hash.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sk-redirect-hash.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,8 +11,7 @@ foo ()
   void *skb, *map, *key;
   uint64_t flags;
 
-  ret = __builtin_bpf_helper_sk_redirect_hash (skb, map, key,
-					       flags);
+  ret = bpf_sk_redirect_hash (skb, map, key, flags);
 }
 
 /* { dg-final { scan-assembler "call\t72" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sk-redirect-map.c b/gcc/testsuite/gcc.target/bpf/helper-sk-redirect-map.c
index 5afb0ac4100..0ebb315d087 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sk-redirect-map.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sk-redirect-map.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   uint32_t key;
   uint64_t flags;
   
-  ret = __builtin_bpf_helper_sk_redirect_map (ctx, map, key, flags);
+  ret = bpf_sk_redirect_map (ctx, map, key, flags);
 }
 
 /* { dg-final { scan-assembler "call\t52" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sk-release.c b/gcc/testsuite/gcc.target/bpf/helper-sk-release.c
index f054c90652c..620dbe9a2ba 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sk-release.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sk-release.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -8,7 +10,7 @@ foo ()
   int ret;
   void *sock;
   
-  ret = __builtin_bpf_helper_sk_release (sock);
+  ret = bpf_sk_release (sock);
 }
 
 /* { dg-final { scan-assembler "call\t86" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sk-select-reuseport.c b/gcc/testsuite/gcc.target/bpf/helper-sk-select-reuseport.c
index 399ad2c0231..0505fc95f66 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sk-select-reuseport.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sk-select-reuseport.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *reuse, *map, *key;
   uint64_t flags;
   
-  ret = __builtin_bpf_helper_sk_select_reuseport (reuse, map,
+  ret = bpf_sk_select_reuseport (reuse, map,
 						  key, flags);
 }
 
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sk-storage-delete.c b/gcc/testsuite/gcc.target/bpf/helper-sk-storage-delete.c
index 07c5875d930..a25421f0017 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sk-storage-delete.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sk-storage-delete.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -8,7 +10,7 @@ foo ()
   int ret;
   void *map, *sk;
   
-  ret = __builtin_bpf_helper_sk_storage_delete (map, sk);
+  ret = bpf_sk_storage_delete (map, sk);
 }
 
 /* { dg-final { scan-assembler "call\t108" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sk-storage-get.c b/gcc/testsuite/gcc.target/bpf/helper-sk-storage-get.c
index a199ef0ae64..6d047dd99f4 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sk-storage-get.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sk-storage-get.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,8 +11,7 @@ foo ()
   void *map, *sk, *value;
   uint64_t flags;
   
-  ret = __builtin_bpf_helper_sk_storage_get (map, sk, value,
-					     flags);
+  ret = bpf_sk_storage_get (map, sk, value, flags);
 }
 
 /* { dg-final { scan-assembler "call\t107" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-adjust-room.c b/gcc/testsuite/gcc.target/bpf/helper-skb-adjust-room.c
index 88196f5e070..6b1eef9c8cf 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-adjust-room.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-adjust-room.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -11,7 +13,7 @@ foo ()
   uint32_t mode;
   uint64_t flags;
   
-  ret = __builtin_bpf_helper_skb_adjust_room (skb, len_diff, mode, flags);
+  ret = bpf_skb_adjust_room (skb, len_diff, mode, flags);
 }
 
 /* { dg-final { scan-assembler "call\t50" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-cgroup-id.c b/gcc/testsuite/gcc.target/bpf/helper-skb-cgroup-id.c
index 7c9021e1763..7ad08c17582 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-cgroup-id.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-cgroup-id.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -8,7 +10,7 @@ foo ()
   uint64_t ret;
   void *skb;
   
-  ret = __builtin_bpf_helper_skb_cgroup_id (skb);
+  ret = bpf_skb_cgroup_id (skb);
 }
 
 /* { dg-final { scan-assembler "call\t79" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-change-head.c b/gcc/testsuite/gcc.target/bpf/helper-skb-change-head.c
index de6281539fd..f93cefab854 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-change-head.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-change-head.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   uint32_t len;
   uint64_t flags;
   
-  ret = __builtin_bpf_helper_skb_change_head (skb, len, flags);
+  ret = bpf_skb_change_head (skb, len, flags);
 }
 
 /* { dg-final { scan-assembler "call\t43" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-change-proto.c b/gcc/testsuite/gcc.target/bpf/helper-skb-change-proto.c
index 5738f3cc59b..a41d197fd52 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-change-proto.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-change-proto.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   int16_t proto;
   uint64_t flags;
 
-  ret = __builtin_bpf_helper_skb_change_proto (skb, proto, flags);
+  ret = bpf_skb_change_proto (skb, proto, flags);
 }
 
 /* { dg-final { scan-assembler "call\t31" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-change-tail.c b/gcc/testsuite/gcc.target/bpf/helper-skb-change-tail.c
index 1fb6b45cd1b..2bfc5979a92 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-change-tail.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-change-tail.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   uint32_t len;
   uint64_t flags;
 
-  ret = __builtin_bpf_helper_skb_change_tail (skb, len, flags);
+  ret = bpf_skb_change_tail (skb, len, flags);
 }
 
 /* { dg-final { scan-assembler "call\t38" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-change-type.c b/gcc/testsuite/gcc.target/bpf/helper-skb-change-type.c
index bcf22cebc28..46a94213fb3 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-change-type.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-change-type.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *skb;
   uint32_t type;
 
-  ret = __builtin_bpf_helper_skb_change_type (skb, type);
+  ret = bpf_skb_change_type (skb, type);
 }
 
 /* { dg-final { scan-assembler "call\t32" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-ecn-set-ce.c b/gcc/testsuite/gcc.target/bpf/helper-skb-ecn-set-ce.c
index f769993f120..c028ec1d6bb 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-ecn-set-ce.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-ecn-set-ce.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -8,7 +10,7 @@ foo ()
   int ret;
   void *skb;
 
-  ret = __builtin_bpf_helper_skb_ecn_set_ce (skb);
+  ret = bpf_skb_ecn_set_ce (skb);
 }
 
 /* { dg-final { scan-assembler "call\t97" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-get-tunnel-key.c b/gcc/testsuite/gcc.target/bpf/helper-skb-get-tunnel-key.c
index 0d4db236865..aad847256ec 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-get-tunnel-key.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-get-tunnel-key.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   uint32_t size;
   uint64_t flags;
 
-  ret = __builtin_bpf_helper_skb_get_tunnel_key (skb, key, size, flags);
+  ret = bpf_skb_get_tunnel_key (skb, key, size, flags);
 }
 
 /* { dg-final { scan-assembler "call\t20" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-get-tunnel-opt.c b/gcc/testsuite/gcc.target/bpf/helper-skb-get-tunnel-opt.c
index 9428657b932..0b39ad728a1 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-get-tunnel-opt.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-get-tunnel-opt.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   uint8_t *opt;
   uint32_t size;
 
-  ret = __builtin_bpf_helper_skb_get_tunnel_opt (skb, opt, size);
+  ret = bpf_skb_get_tunnel_opt (skb, opt, size);
 }
 
 /* { dg-final { scan-assembler "call\t29" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-get-xfrm-state.c b/gcc/testsuite/gcc.target/bpf/helper-skb-get-xfrm-state.c
index 8217b4a17df..de83d91849e 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-get-xfrm-state.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-get-xfrm-state.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,8 +12,8 @@ foo ()
   uint32_t index, size;
   uint64_t flags;
 
-  ret = __builtin_bpf_helper_skb_get_xfrm_state (skb, index,
-						 xfrm_state, size, flags);
+  ret = bpf_skb_get_xfrm_state (skb, index,
+				xfrm_state, size, flags);
 }
 
 /* { dg-final { scan-assembler "call\t66" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-load-bytes-relative.c b/gcc/testsuite/gcc.target/bpf/helper-skb-load-bytes-relative.c
index bcaa43be9de..cd8c2c2437e 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-load-bytes-relative.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-load-bytes-relative.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,9 +11,9 @@ foo ()
   void *skb, *to;
   uint32_t offset, len, start_header;
 
-  ret = __builtin_bpf_helper_skb_load_bytes_relative (skb, offset,
-						      to, len,
-						      start_header);
+  ret = bpf_skb_load_bytes_relative (skb, offset,
+				     to, len,
+				     start_header);
 }
 
 /* { dg-final { scan-assembler "call\t68" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-load-bytes.c b/gcc/testsuite/gcc.target/bpf/helper-skb-load-bytes.c
index 9da545400c7..1e4612a5c98 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-load-bytes.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-load-bytes.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *skb, *to;
   uint32_t offset, len;
 
-  ret = __builtin_bpf_helper_skb_load_bytes (skb, offset, to, len);
+  ret = bpf_skb_load_bytes (skb, offset, to, len);
 }
 
 /* { dg-final { scan-assembler "call\t26" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-pull-data.c b/gcc/testsuite/gcc.target/bpf/helper-skb-pull-data.c
index 9bb8b8d6e78..579d8562e3d 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-pull-data.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-pull-data.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *skb;
   uint32_t len;
 
-  ret = __builtin_bpf_helper_skb_pull_data (skb, len);
+  ret = bpf_skb_pull_data (skb, len);
 }
 
 /* { dg-final { scan-assembler "call\t39" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-set-tunnel-key.c b/gcc/testsuite/gcc.target/bpf/helper-skb-set-tunnel-key.c
index 21b835f5cef..85754fdb88a 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-set-tunnel-key.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-set-tunnel-key.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   uint32_t size;
   uint64_t flags;
 
-  ret = __builtin_bpf_helper_skb_set_tunnel_key (skb, key, size, flags);
+  ret = bpf_skb_set_tunnel_key (skb, key, size, flags);
 }
 
 /* { dg-final { scan-assembler "call\t21" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-set-tunnel-opt.c b/gcc/testsuite/gcc.target/bpf/helper-skb-set-tunnel-opt.c
index 5a0528ec0a3..591eb48d6ad 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-set-tunnel-opt.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-set-tunnel-opt.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -10,7 +12,7 @@ foo ()
   uint8_t *opt;
   uint32_t size;
 
-  ret = __builtin_bpf_helper_skb_set_tunnel_opt (skb, opt, size);
+  ret = bpf_skb_set_tunnel_opt (skb, opt, size);
 }
 
 /* { dg-final { scan-assembler "call\t30" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-store-bytes.c b/gcc/testsuite/gcc.target/bpf/helper-skb-store-bytes.c
index a41967cb904..17f8e02e55c 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-store-bytes.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-store-bytes.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -12,7 +14,7 @@ foo ()
   uint32_t len;
   uint64_t flags;
 
-  ret = __builtin_bpf_helper_skb_store_bytes (skb, offset, from, len, flags);
+  ret = bpf_skb_store_bytes (skb, offset, from, len, flags);
 }
 
 /* { dg-final { scan-assembler "call\t9" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-skb-under-cgroup.c b/gcc/testsuite/gcc.target/bpf/helper-skb-under-cgroup.c
index 0ccee8bed5c..72adfcd9f3f 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-skb-under-cgroup.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-skb-under-cgroup.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
+/* { dg-options "-std=gnu99" } */
 
 #include <stdint.h>
+#include <bpf-helpers.h>
 
 void
 foo ()
@@ -9,7 +11,7 @@ foo ()
   void *skb, *map;
   uint32_t index;
 
-  ret = __builtin_bpf_helper_skb_under_cgroup (skb, map, index);
+  ret = bpf_skb_under_cgroup (skb, map, index);
 }
 
 /* { dg-final { scan-assembler "call\t33" } } */
